JsonParserConstants (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.json.parser
[Java] Interface JsonParserConstants

    public interface JsonParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`int` | `CHAR` RegularExpression Id.
`int` | `CNTRL_ESC` RegularExpression Id.
`int` | `DEFAULT` Lexical state.
`int` | `DIGITS` RegularExpression Id.
`int` | `DOUBLE_QUOTE_LITERAL` RegularExpression Id.
`int` | `E` RegularExpression Id.
`int` | `ENDQUOTE` RegularExpression Id.
`int` | `EOF` End of File.
`int` | `ESCAPE_CHAR` RegularExpression Id.
`int` | `ESC_STATE` Lexical state.
`int` | `HEX` RegularExpression Id.
`int` | `HEX_CHAR` RegularExpression Id.
`int` | `HEX_ESC` RegularExpression Id.
`int` | `HEX_STATE` Lexical state.
`int` | `QUOTE` RegularExpression Id.
`int` | `SINGLE_QUOTE_LITERAL` RegularExpression Id.
`int` | `STRING_STATE` Lexical state.
`int` | `UNICODE_CHAR` RegularExpression Id.
`java.lang.String[]` | `tokenImage` Literal token values.

Field Detail

### CHAR

    public int CHAR

  RegularExpression Id.

### CNTRL_ESC

    public int CNTRL_ESC

  RegularExpression Id.

### DEFAULT

    public int DEFAULT

  Lexical state.

### DIGITS

    public int DIGITS

  RegularExpression Id.

### DOUBLE_QUOTE_LITERAL

    public int DOUBLE_QUOTE_LITERAL

  RegularExpression Id.

### E

    public int E

  RegularExpression Id.

### ENDQUOTE

    public int ENDQUOTE

  RegularExpression Id.

### EOF

    public int EOF

  End of File.

### ESCAPE_CHAR

    public int ESCAPE_CHAR

  RegularExpression Id.

### ESC_STATE

    public int ESC_STATE

  Lexical state.

### HEX

    public int HEX

  RegularExpression Id.

### HEX_CHAR

    public int HEX_CHAR

  RegularExpression Id.

### HEX_ESC

    public int HEX_ESC

  RegularExpression Id.

### HEX_STATE

    public int HEX_STATE

  Lexical state.

### QUOTE

    public int QUOTE

  RegularExpression Id.

### SINGLE_QUOTE_LITERAL

    public int SINGLE_QUOTE_LITERAL

  RegularExpression Id.

### STRING_STATE

    public int STRING_STATE

  Lexical state.

### UNICODE_CHAR

    public int UNICODE_CHAR

  RegularExpression Id.

### tokenImage

    public java.lang.String[] tokenImage

  Literal token values.

Groovy Documentation